> For the complete documentation index, see [llms.txt](https://docs.omics.ai/products/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.omics.ai/products/command-line-interface/reference/publisher/collections-items-add.md).

# collections items add

## Synopsis

```shell
omics publisher collections items add
  --collection=COLLECTION_ID
  --datasource=DATASOURCE_ID
  --files=FILE|@FILE|STDIN
```

## Description

Add files to a collection. Files can be specified as a comma-separated list, loaded from a file, or piped via stdin. After adding files, the collection will begin validation to ensure all items are accessible.

## Examples

Add files using a comma-separated list.

```shell
omics publisher collections items add \
  --collection my-collection \
  --datasource my-bucket \
  --files 'gs://bucket/file1.vcf,gs://bucket/file2.vcf'
```

Load files from a text file.

```shell
omics publisher collections items add \
  --collection my-collection \
  --datasource my-bucket \
  --files @files.txt
```

Pipe files from stdin.

```shell
cat files.txt | omics publisher collections items add \
  --collection my-collection \
  --datasource my-bucket \
  --files -
```

## Flags

### `--collection`=`COLLECTION_ID`

The ID or slug name of the collection to add files to.

### `--datasource`=`DATASOURCE_ID`

The ID or name of the data source where the files or folders reside, such as a bucket or storage location.

### `--files`=`FILE|@FILE|STDIN`

Specifies the files to be added. Accepts:

* A comma-separated list of file URLs (e.g., `'file1.vcf,file2.vcf'`)
* A file path prefixed with `@` (e.g., `@files.txt`)
* Files piped via stdin (use `-` as the value)

Files can also be separated by newlines when loaded from a file or stdin.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.omics.ai/products/command-line-interface/reference/publisher/collections-items-add.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
